[import file="{{site_header|default(@theme/widgets/header-default.html)}}" color="{{site_header_color|default(white)}}"][/import]
<article id="post-{{post.id}}" class="{{article_class|default(container-fluid px-0 bg-gray-100)}} podcast-content-container">
	<div class="screen-height h-12 pos-relative" style="overflow:hidden; width:100vw">
		[image id="{{post.featuredImage}}" mobile_id="{{post.mobileFeaturedImage}}" background="1" container_class="audio-player-{{post.podcast}}-background  bg-black w-100 h-100" mask="{{cover_mask|default(dark)}}"][/image]
		<div class="overlay" style="background: {{overlayColor|default()}}"></div>
		
		<div  class="podcast-cover {{cover_caption_class|default(vcenter pos-absolute z-100 px-3 px-md-5 color-white col-md-6)}}">
			<div class="control-button-set mb-2">
				<a href="{{post.podcast|file_url()}}" class="control-button icon-download" ></a>
				[if notempty="{{post.rss_link}}"]<a href="{{post.rss_link}}" class="control-button icon-rss-2" ></a>[/if]
				<a data-link-to="audio-player-{{post.podcast}}"  role="play"  class="start-podcast control-button icon-play" ></a>

			</div>
			<h3 class="{{badge_class|default(mb-2)}}">{{post.titleSecondary}}</h3>
			<h2 class="{{parent_title_class|default()}}">{{post.parentTitle}}</h2>
			<h1 class="{{title_class}}">{{post.title}}</h1>
			[Editable field="post.{{post.id}}.excerpt" container_class="{{excerpt_class|default(my-3 style-description)}}"]
			{{post.excerpt}}
			[/Editable]
			<hr class="divider">
			<div class="{{meta_class|default(style-meta)}}">
				<span style="color:#FF6666;"> {{post.media-infos}}</span> [tr ar="دقيقة" fr="minutes" en="minutes"]minutes[/tr]
			</div>

		</div>
		<div class="podcast-container fade pos-absolute bottom-0 color-white direct-0 w-100 ">
			[audioplayer container_class="{{player_class|default(w-100)}}" id="{{post.podcast}}" subtitles_class="d-none" srt="{{post.subtitles}}" wave="{{post.waveFile}}"]
		</div>
		<div  class="podcast-subtitle-wrapper fade {{subtitle_class|default(vcenter-md bottom-3 pos-absolute z-100 px-3 px-md-5 color-white col-md-6 text-center text-md-left fs-24px fw-300)}}">
			<span class="{{reset_button_class|default(reset-podcast d-none) }}">{{reset_button_text|default(reset)}}</span>
			<span data-link-to="audio-player-{{post.podcast}}" role="subtitles"></span>
		</div>
		<div data-link-to="audio-player-{{post.podcast}}" class="podcast-chapters-wrapper {{chapters_class|default(vcenter pos-absolute z-100 px-3 color-white  vcenter fs-18px lh-170 uppercase show-when-playing ff-sans-serif fw-500 opposite-0 z-100)}}" role="chapters" style="width:200px;" >
			<span class="d-sm-none d-block">
				<span class="icon-chapitre"></span> 
				[tr ar="المحاور" fr="Chapitres" en="Chapters"]Chapitres[/tr]
			</span>
			<ul>
				[array key="audioChapters" id="{{post.id}}"]
				<li class="podcast-chapter {{loop.index|class(active,0)}}">
					<a href="javascript:void(0)" data-background="{{item.backgroundImage|media_url()}}" data-time="{{item.time}}">{{item.title}}</a>
				</li>
				[/array]
			</ul>
		</div>

		<div class="d-none">
			{{post.audioChapters}}
			{{post.scripts}}
			{{post.styles}}
		</div>
		<style>
			.player-big-buttons .pjs-control{
				font-size: 1.75rem !important;
				width: 1.75rem !important;
				height: 1.75rem !important;
			}
			.player-big-buttons .pjs-time{
				font-size: 1.5rem;
			}
			.control-button{
				font-size: 1.25rem;
				display: inline-block;
				margin-right:.4rem;
				height: 2.3rem;
				width: 2.3rem;
				padding-top:3px;
				text-align: center;
				line-height: 2.3rem;
				background: white !important;
				color: black !important;
				border-radius: 50%;
				cursor: pointer;
			}
			.control-button.icon-rss-2,
			.control-button.icon-play {
				font-size: 1rem;
				text-indent: 2px;
			}
			body.rtl .control-button.icon-rss-2,
			body.rtl .control-button.icon-play {
				text-indent: -2px;
			}
			body{
				overflow-x:hidden;
			}



			[data-link-to][role="chapters"] .active{
				color:#FF6666;
			}
		</style>
		<script>
			$('.start-podcast').click(function(){
				$('.chapters, .podcast-container, .podcast-subtitle-wrapper').removeClass('fade');
				$('.podcast-cover').addClass('fade');
				$('podcast-subtitle-wrapper').show();
			});
			$('.reset-podcast').click(function(e){

				$('.podcast-cover').removeClass('fade');
				$('.chapters, .podcast-container, .podcast-subtitle-wrapper').addClass('fade');

			})
		</script>
	</div>
	[Editable id="" container_class="entry-content {{content_class|default(layout-default fs-20px lh-160 fw-300 w-100 d-none)}}"  field="post.{{post.id}}.content"  presets="default"]{{post.content|the_content}}[/Editable]
	<div class="{{share_buttons_class|default(d-none)}}">
	<div class="py-4 share-container clear">
		<div class="col-md-4 offset-md-4 text-center fs-20px my-5">
			[share url="{{post.url}}"]{{post.title}}[/share]
		</div>
	</div>
</div>
<span class="d-none">{{post.reading-duration}}</span>
</article>